import { PathBased } from '@lightweightform/core';
/**
 * HTML string of the tree-nav component.
 */
export declare const treeNavComponentHtml: string;
/**
 * Component used to show a tree to navigate between values.
 */
export declare class TreeNavComponent extends PathBased {
    private lfRouter;
    ngOnInit(): void;
    readonly _hasRoutes: boolean;
    /**
     * Hide the tree-nav.
     */
    hideTreeNav(): void;
}
